The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Обновление Linux-ядра 2.6.34.8, 2.6.32.28 и 2.6.36.3. Набор свежих беспроводных драйверов для старых Linux-ядер

08.01.2011 02:06

Представлен корректирующий релиз Linux-ядра 2.6.34.8, относящегося к ветке с длительным сроком поддержки. В новой версии отмечено 260 исправлений из которых 5 связано с устранением уязвимостей. В анонсе подчеркивается обязательность проведения обновления.

Устраненные уязвимости:

  • CVE-2010-3698 - проблемы с перезагрузкой FS и GS регистров в реализации системы виртуализации KVM в ядрах до 2.6.36 позволяли пользователю хост-системы инициировать крах ядра через отправку специально оформленного вызова KVM_RUN ioctl;
  • CVE-2010-2960 - возможность разыменования NULL-указателя или вызова краха ядра через обращение к keyctl со специально оформленным параметром KEYCTL_SESSION_TO_PARENT. Проблема проявляется в ядрах младше 2.6.35.4;
  • CVE-2010-3079 - возможность разыменования NULL-указателя через вызов функции lseek для файлового дескриптора, ассоциированного с файлом ftrace-трассировки, подключенного через set_ftrace_filter. Проблема проявляется в ядрах младше 2.6.35.5 с включенной поддержкой debugfs;
  • CVE-2010-3080 - двойное освобождение памяти в функции snd_seq_oss_open в Linux ядрах младше 2.6.36-rc4 позволяет локальному пользователю инициировать крах ядра и возможно повысить свои привилегии через отправку специально сформированного запроса через /dev/sequencer;
  • CVE-2010-1173 - ошибка в реализации протокола SCTP, позволяет удаленному злоумышленнику инициировать крах системы через отправку специальным образом оформленного SCTPChunkInit-пакета.

Кроме того, можно отметить выход пакета compat-wireless 2.6.37, в котором представлена подборка драйверов для Wifi, Bluetooth и Ethernet адаптеров. Драйверы бэкпортированы из релиза 2.6.37 для старых ядер (начиная с 2.6.25). Пакет ориентирован на пользователей, которым необходима поддержка новых беспроводных карт и сетевых устройств, но которые не желают при этом использовать последние версии основной ветки Linux-ядра.

Дополнение: Представлены корректирующий релиз Linux-ядра 2.6.36.3 c исправлением 150 ошибок и 2.6.32.28 с исправлением 38 ошибок.

  1. Главная ссылка к новости (https://lkml.org/lkml/2011/1/6...)
  2. OpenNews: Релиз Linux-ядра 2.6.37
  3. OpenNews: Linux-ядро 2.6.35 получает статус выпуска с длительным временем поддержки
  4. OpenNews: Обновления ядра Linux (2.6.27.57, 2.6.32.27 и 2.6.36.2) и Advanced Real-Time Linux
  5. OpenNews: Изменение процедуры поддержки стабильных релизов Linux-ядра
Лицензия: CC-BY
Тип: Программы
Короткая ссылка: https://opennet.ru/29223-linux
Ключевые слова: linux, kernel
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (31) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Zenitur (?), 02:26, 08/01/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    У меня на нетбуке с ath9k не включается лампочка Wi-Fi. А madwifi не поддерживает 9k-серию (я его на компьютере использую с ath5k потому что всё давно настроено). Но в Интернете нашёлся чудо-патч, бэкпортированный из FreeBSD, добавляющий поддержку ath9k в madwifi. И теперь у меня работает лампочка!

    Подскажите а куда надо было обратиться чтобы в ядерном модуле заработала лампочка?

     
     
  • 2.3, paulus (ok), 03:25, 08/01/2011 [^] [^^] [^^^] [ответить]  
  • +2 +/
    любопытно, а на 2.6.37 ваша лампочка работает?
     
     
  • 3.7, Zenitur (?), 04:19, 08/01/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Пока что пробовал только на 2.6.36 свою лампочку.
     
     
  • 4.10, Аноним (-), 06:10, 08/01/2011 [^] [^^] [^^^] [ответить]  
  • +31 +/
    Сколько Zenitur'ов надо чтобы зажечь лампочку? ,)
     
     
  • 5.14, pavlinux (ok), 14:26, 08/01/2011 [^] [^^] [^^^] [ответить]  
  • +2 +/
    +10500 :)
     
  • 4.20, Alexander Konotop (?), 21:10, 08/01/2011 [^] [^^] [^^^] [ответить]  
  • +/
    поддержка ath9k_htc появилась нативно в 2.6.35. В 2.6.36 её сломали, в 2.6.37 она снова работает.
     
  • 2.13, ъ (?), 13:45, 08/01/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >    Подскажите а куда надо было обратиться чтобы в ядерном модуле заработала лампочка?

    В спортлото? LKML? нет?
      

     
  • 2.22, Карбофос (ok), 11:19, 09/01/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    батенька, да у вас ламповый компьютер! o_O
     
  • 2.29, Frank (ok), 10:05, 10/01/2011 [^] [^^] [^^^] [ответить]  
  • +/
    У меня ath9k и его "лампочка" (светодиод на корпусе нетбука Samsung N148) светится ещё с 2.6.32 убунты 10.04.
     

  • 1.2, NGAGE13 (ok), 02:57, 08/01/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    может сюда https://bugzilla.kernel.org/?
     
  • 1.4, Аноним (-), 03:36, 08/01/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    > Linux-ядра 2.6.34.8, относящегося к ветке с длительным сроком поддержки.

    Шо, и оно?

    А какие релизы вообще тогда не LTS?

     
     
  • 2.5, savant (ok), 04:10, 08/01/2011 [^] [^^] [^^^] [ответить]  
  • +/
    longterm: .35 .34 .32 .27
     
     
  • 3.6, TYN (?), 04:18, 08/01/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Вот и я удивился, когда успели 34 подхватить? Совсем недавно 35е объявляли longterm.
     
     
  • 4.8, Zenitur (?), 04:20, 08/01/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Вот и я удивился, когда успели 34 подхватить? Совсем недавно 35е объявляли
    > longterm.

    Туда собирался портировать изменения только один разработчик вроде бы

     
  • 4.9, savant (ok), 04:26, 08/01/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Вот и я удивился, когда успели 34 подхватить? Совсем недавно 35е объявляли
    > longterm.

    .35 в качестве longterm захотели эмбедщики. Они же его и поддерживают.

     
     
  • 5.16, Sylvia (ok), 15:12, 08/01/2011 [^] [^^] [^^^] [ответить]  
  • +/
    т.е. поэтому его обновление выходит позже по сравнению с остальными ? все с ними понятно )
     
  • 4.11, Andrey Mitrofanov (?), 07:54, 08/01/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Вот и я удивился, когда успели 34 подхватить? Совсем недавно 35е объявляли
    > longterm.

    +1 Оказывается, .34-ое и LWN пропустил: ссылка http://comments.gmane.org/gmane.linux.kernel/1071766 появилась на только в комментариях на выход того же .34.8. http://lwn.net/Articles/422093/

    На самом деле, LTS/stable/longterm/... ядро оказывается, когда его _кто-то_ поддерживает [после релиза +0.0.1], а не то, которое "объявлено"... Пока это был Грег (и уважаемые товарищи до него, тщательно %) передававшие бразды) -- всё было понятно. А таперича "понабежали тут" -- ажно LWN не успевает. :D

     
     
  • 5.19, Andrey Mitrofanov (?), 19:53, 08/01/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >> когда успели 34 подхватить?
    > +1 Оказывается, .34-ое и LWN пропустил:
    >в комментариях на выход того же .34.8.

    Хотя... если внимательно присмотреться к одному из трёх предложений в оригинальном анонсе -- "This continues the 2.6.34 stable series under the new "longterm" name." -- его, анонс, можно считать и анонсом перехода .34 из -stable в -longterm. Похоже, лаконичность г-на Paul-а Gortmaker-а просто-таки гарантирует нам не одно %) открытие в двух оставшихся предложениях. ...или новые сюрпризы в этом предложении?

     

  • 1.12, Аноним (-), 12:50, 08/01/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    странно, а где исходники 2.6.32.28 на kernel.org?
    и как понимать:
    stable: 2.6.32.28 2011-01-07
    longterm: 2.6.32.27 2010-12-09
     
     
  • 2.15, pavlinux (ok), 14:31, 08/01/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > странно, а где исходники 2.6.32.28 на kernel.org?

    http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/linux-2.6.32.28.

    > и как понимать:

    Забей, это для дистрописателей и всяких саппортов.

    Юзай последний stable - 2.6.37

     
     
  • 3.21, Карбофос (ok), 00:59, 09/01/2011 [^] [^^] [^^^] [ответить]  
  • +/
    у меня два девайса от 2.6.35 и выше перестали корректно работать, это USB WLAN: rt2870 и rt3070. какая-то хрень со спящим режимом. не скажешь, как его мне продиагностировать в деталях? в принципе, можно исходники сравнить, но может получиться так, что просто не там буду искать. а вот этого не хотелось бы.
     
     
  • 4.23, pavlinux (ok), 14:01, 09/01/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > у меня два девайса от 2.6.35 и выше перестали корректно работать, это
    > USB WLAN: rt2870 и rt3070.

    Дык, они же staging, там сам Бог велел быть багам. :)
    Самое быстрое, это написать афтору, мол "- какого не работат?!".

    Please send any patches or complaints about this driver to Greg
    Kroah-Hartman <greg@kroah.com> and don't bother the upstream wireless
    kernel developers about it, they want nothing to do with it.

    Ну а так, врубать CONFIG_PM_DEBUG, ....  ну все подсистемы USB/WIRELESS...

    Если есть иной USB WIFI девайс, то попробовать с ним, если не отвалиться,
    то отладка Wireless и USB ужо не нужна.    

     
     
  • 5.24, Карбофос (ok), 14:20, 09/01/2011 [^] [^^] [^^^] [ответить]  
  • +/
    так и сделаем. спасибки!
     
  • 4.30, Frank (ok), 10:20, 10/01/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > у меня два девайса от 2.6.35 и выше перестали корректно работать, это
    > USB WLAN: rt2870 и rt3070. какая-то хрень со спящим режимом. не
    > скажешь, как его мне продиагностировать в деталях? в принципе, можно исходники
    > сравнить, но может получиться так, что просто не там буду искать.
    > а вот этого не хотелось бы.

    В 2.6.35-м и выше "какая-то хрень со спящим режимом" не только с USB WLAN, но и с некоторыми нетбуками с интеловским атомом н450, пока лишь обходной костыль найден: ограничение man_cstate не глубже третьего.

     
     
  • 5.31, Карбофос (ok), 17:07, 10/01/2011 [^] [^^] [^^^] [ответить]  
  • +/
    это в grub параметр ядра max_cstate установить?
     

  • 1.17, анонимиус (?), 16:28, 08/01/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Кто знает, почему compat-wireless нету в репах debian?
     
     
  • 2.18, Aquarius (ok), 16:46, 08/01/2011 [^] [^^] [^^^] [ответить]  
  • +/
    в каких именно?
     
     
  • 3.26, аноно (?), 21:57, 09/01/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >в каких именно?

    backports?

     
  • 2.25, prapor (??), 20:19, 09/01/2011 [^] [^^] [^^^] [ответить]  
  • +/
    А с чего бы они там были? В experimental уже .37 есть. Squeeze заморожен и пакеты добавлять не будут. Ну и т.д.
     
     
  • 3.27, аноно (?), 22:02, 09/01/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > А с чего бы они там были? В experimental уже .37 есть.

    Как-то ставил ядро из экспериментал. Оно было собрано с каким-то чюднЫм конфигом, там даже планировщиков ввода-вывода не было. =О Некоторое время так и юзал без оного.


     
  • 2.28, б.б. (?), 07:02, 10/01/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Потому что многие железки итак бэкпортируют в стандартное ядро Squeeze/Sid, посмотри список патчей. А какие не бэкпортируют - те не бекпортируют, дебиан суров, но это стабильность.
     
     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2021 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру